<?xml version="1.0" encoding="iso-8859-1" ?>
<DiscoveryFilters>
	<XMLFilter id="PrintersLocal">
		<Filter>
			<F0>!((LOCALPORT0)==(LOCALPORT+0))</F0>
		</Filter>
		<Output>
			<F0>LOCALPORT</F0>
			<F1>LOCALPORTDESCRIPTION</F1>
			<F2>""</F2>
			<F3>STRID1284</F3>
			<F4>1</F4>
			<F5>(((ADAPTERCAP)==0)||((ADAPTERCAP0)==(ADAPTERCAP+0))||((!(2048&amp;ADAPTERCAP.HexToDec()))&amp;&amp;(262144&amp;ADAPTERCAP.HexToDec())))?NoBidi:Bidi</F5>
			<F6>LOCALPORT</F6>
		</Output>
	</XMLFilter>
	<XMLFilter id="PrintersLocalNetwork">
		<Filter>
			<F0>STRID1284.InSection(drivers,manufacturer,LOOSE,MODELNAME) || ((STRID12840)==(STRID1284+0)) || (STRID1284.Empty== 1)</F0>
		</Filter>
		<Output>
			<F0>((LOCALPORT0)==(LOCALPORT+0))?((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0)))?((PORT_STRUCTURE.substr(0,2)==05)?(IPNAME+_USB+ADAPTERPORT):((PORT_STRUCTURE.substr(0,2)==01)?(IPNAME+_LPT+ADAPTERPORT):(IPNAME))):(IPNAME)):(LOCALPORT)</F0>
			<F1>((LOCALPORT0)==(LOCALPORT+0))?(%DiscoveredPrinter%):(LOCALPORTDESCRIPTION)</F1>
			<F2>((IPADDRESS0)==(IPADDRESS+0))?(""):((IPADDRESS.Empty==1)?(""):((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0)))?((PORT_STRUCTURE.substr(0,2)==05)?(IPADDRESS+%USBWITHCOLON%+ADAPTERPORT):((PORT_STRUCTURE.substr(0,2)==01)?(IPADDRESS+%LPTWITHCOLON%+ADAPTERPORT):(IPADDRESS))):(IPADDRESS)))</F2>
			<F3>STRID1284</F3>
			<F4>((IPADDRESS.IpToLong&amp;SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong)==(SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong))?(1):(1-2)</F4>
			<F5>(((ADAPTERCAP)==0)||((ADAPTERCAP0)==(ADAPTERCAP+0))||((!(2048&amp;ADAPTERCAP.HexToDec()))&amp;&amp;(262144&amp;ADAPTERCAP.HexToDec())))?NoBidi:Bidi</F5>
			<F6>IPNAME</F6>
		</Output>
	</XMLFilter>
	<XMLFilter id="PrintersNetwork">
		<Filter>
			<F0>(LOCALPORT0)==(LOCALPORT+0)</F0>
			<F1>STRID1284.InSection(drivers,manufacturer,LOOSE,MODELNAME)</F1>
		</Filter>
		<Output>
			<F0>(!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0)))?((PORT_STRUCTURE.substr(0,2)==05)?(IPNAME+_USB+ADAPTERPORT):((PORT_STRUCTURE.substr(0,2)==01)?(IPNAME+_LPT+ADAPTERPORT):(IPNAME))):(IPNAME)</F0>
			<F1>(!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0)))?((PORT_STRUCTURE.substr(0,2)==05)?(IPADDRESS+%USBWITHCOLON%+ADAPTERPORT):((PORT_STRUCTURE.substr(0,2)==01)?(IPADDRESS+%LPTWITHCOLON%+ADAPTERPORT):(IPADDRESS))):(IPADDRESS)</F1>
			<F2>STRID1284</F2>
			<F3>((IPADDRESS.IpToLong&amp;SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong)==(SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong))?(1):(1-2)</F3>
			<F4>(((ADAPTERCAP)==0)||((ADAPTERCAP0)==(ADAPTERCAP+0))||((!(2048&amp;ADAPTERCAP.HexToDec()))&amp;&amp;(262144&amp;ADAPTERCAP.HexToDec())))?NoBidi:Bidi</F4>
			<F5>IPNAME</F5>
		</Output>
	</XMLFilter>
	<XMLFilter id="ScannersNetwork">
		<Filter>
			<F0>(LOCALPORT0)==(LOCALPORT+0)</F0>
			<F1>STRID1284.InSection(drivers,manufacturer,LOOSE,MODELNAME)</F1>
			<F2>twain_supported==true</F2>
		</Filter>
		<Output>
			<F0>((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0))) &amp;&amp; (!(PORT_STRUCTURE.substr(4,2)==FF)))?(IPNAME+_USB+ADAPTERPORT):(IPNAME)</F0>
			<F1>((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0))) &amp;&amp; (!(PORT_STRUCTURE.substr(4,2)==FF)))?(IPADDRESS+%USBWITHCOLON%+ADAPTERPORT):(IPADDRESS)</F1>
			<F2>STRID1284</F2>
			<F3>((IPADDRESS.IpToLong&amp;SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong)==(SUBNETADDRESS.IpToLong&amp;IPNETMASK.IpToLong))?(1):(1-2)</F3>
			<F4>(((ADAPTERCAP)==0)||((ADAPTERCAP0)==(ADAPTERCAP+0))||((!(2048&amp;ADAPTERCAP.HexToDec()))&amp;&amp;(262144&amp;ADAPTERCAP.HexToDec())))?NoBidi:Bidi</F4>
			<F5>IPNAME</F5>
		</Output>
	</XMLFilter>
	<XMLFilter id="ScannersBBS">
		<Filter>
			<F0>(LOCALPORT0)==(LOCALPORT+0)</F0>
			<F1>twain_supported==true</F1>
			<F2>(((%OEMDisplay%==&quot;Lexmark&quot;) &amp;&amp; (STRID1284.Find(&quot;Lexmark&quot;)==0))||((!(%OEMDisplay%==&quot;Lexmark&quot;)) &amp;&amp; (STRID1284.Find(&quot;Lexmark&quot;)==(1-2))))</F2>
		</Filter>
		<Output>
			<F0>((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0))) &amp;&amp; (!(PORT_STRUCTURE.substr(4,2)==FF)))?(IPNAME+_USB+ADAPTERPORT):(IPNAME)</F0>
			<F1>((!((PORT_STRUCTURE0)==(PORT_STRUCTURE+0))) &amp;&amp; (!(PORT_STRUCTURE.substr(4,2)==FF)))?(IPADDRESS+%USBWITHCOLON%+ADAPTERPORT):(IPADDRESS)</F1>
			<F2>STRID1284</F2>
			<F3>((IPADDRESS.IpToLong &amp; SUBNETADDRESS.IpToLong &amp; IPNETMASK.IpToLong)==(SUBNETADDRESS.IpToLong &amp; IPNETMASK.IpToLong))?(1):(1-2)</F3>
			<F4>(((ADAPTERCAP)==0)||((ADAPTERCAP0)==(ADAPTERCAP+0))||((!(2048 &amp; ADAPTERCAP.HexToDec())) &amp;&amp; (262144 &amp; ADAPTERCAP.HexToDec())))?NoBidi:Bidi</F4>
			<F5>IPNAME</F5>
		</Output>
	</XMLFilter>
</DiscoveryFilters>